An ActivityFact is a pre-computed collection of statistics about Project source code. It summarizes changes to lines of code, commits, and contributors in a single month.
SizeFacts contain the running totals of ActivityFacts.
An ActivityFact is derived from lower-level statistics contained in an Analysis. ActivityFacts are updated whenever a Project is re-analyzed.
ActivityFacts are availabled only after Ohloh has downloaded and analyzed the project source code.
To get all ActivityFacts for a particular Analysis:
GET http://www.ohloh.net/projects/{project_id}/analyses/{analysis_id}/activity_facts.xml
If you do not know the ID of the current best Analysis for a Project, you can use the following shortcut:
GET http://www.ohloh.net/projects/{project_id}/analyses/latest/activity_facts.xml
The call returns one Activity for each month, starting at the first month in which any code exists, and ending at the current month. If Ohloh has not created a new Analysis for this Project in a long time, the ActivityFacts for the months following the time of the last Analysis will contain zeros.
The results cannot be paginated or filtered. Results are sorted chronologically.